# $Revision: 1.25 $, $Date: 2009/11/12 11:28:39 $
Summary:	XvMC library
Summary(pl.UTF-8):	Biblioteka XvMC
Name:		xorg-lib-libXvMC
Version:	1.0.5
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXvMC-%{version}.tar.bz2
# Source0-md5:	16c3a11add14979beb7510e44623cac6
Source1:	XvMCConfig
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-util-util-macros >= 1.3
Provides:	libXvMCW = %{version}
Obsoletes:	libXvMCW
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XvMC (X-Video Motion Compensation) library.

%description -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

%package devel
Summary:	Header files for libXvMC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXvMC
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXv-devel
Provides:	libXvMCW-devel = %{version}
Obsoletes:	libXvMCW-devel

%description devel
XvMC (X-Video Motion Compensation) library.

This package contains the header files needed to develop programs that
use libXvMC.

%description devel -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXvMC.

%package static
Summary:	Static libXvMC libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXvMC
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libXvMCW-static = %{version}
Obsoletes:	libXvMCW-static

%description static
XvMC (X-Video Motion Compensation) library.

This package contains the static libXvMC libraries.

%description static -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera statyczne biblioteki libXvMC.

%prep
%setup -q -n libXvMC-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMC.so.1
%attr(755,root,root) %{_libdir}/libXvMCW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMCW.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(644,root,root,755)
%doc XvMC_API.txt
%attr(755,root,root) %{_libdir}/libXvMC.so
%attr(755,root,root) %{_libdir}/libXvMCW.so
%{_libdir}/libXvMC.la
%{_libdir}/libXvMCW.la
%{_includedir}/X11/extensions/XvMClib.h
%{_pkgconfigdir}/xvmc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXvMC.a
%{_libdir}/libXvMCW.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXvMC.spec,v $
Revision 1.25  2009/11/12 11:28:39  patrys
- rebuild
- rel 2

Revision 1.24  2009/10/06 21:21:16  qboosh
- updated util-macros version
- more verbose files and descs, added README and XvMC_API.txt to docs
- ghost soname symlinks

Revision 1.23  2009/10/06 20:33:30  arekm
- up to 1.0.5

Revision 1.22  2008/11/05 23:29:38  arekm
- release 3

Revision 1.21  2007/04/01 11:56:56  qboosh
- updated XvMCConfig to mention available libraries
- release 2

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/12/16 15:20:37  arekm
- up to 1.0.4

Revision 1.17  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.16  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.15  2006/10/03 13:56:37  qboosh
- updated to 1.0.3

Revision 1.14  2006/04/27 15:23:16  arekm
- up to 1.0.2

Revision 1.13  2006/03/08 22:39:46  qboosh
- release 1

Revision 1.12  2006/02/03 13:18:20  qboosh
- added XvMCConfig (read only if client name not obtained via XvMCGetDRInfo)

Revision 1.11  2005/12/28 14:23:02  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/20 13:57:42  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:19:39  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 21:15:40  qboosh
- 0.99.1 (X11R7.0-RC1)
- really removed redundant BRs (libXext-devel,videoproto)

Revision 1.5  2005/08/27 21:15:17  qboosh
- it contains libXvMCW as well - obsolete standalone version

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 11:04:54  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: libXv-devel
- removed redundant BR: libXext-devel, videoproto-devel
- added R: libXv-devel to devel package
- removed redundant R: libXext-devel, videoproto-devel from devel package

* Sat Aug 13 2005 09:48:00  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- addedd %%doc
- removed redundant BR: libX11-devel, xextproto-devel
- removed redundant R: libX11-devel, xextproto-devel from devel package
- release 0.02

* Fri Aug  5 2005 20:16:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
